NE_GET_STATUS(3)

NAME
ne_get_status - retrieve HTTP response status for request

SYNOPSIS

#include <ne_request.h>

const ne_status *ne_get_status(const ne_request *request);

DESCRIPTION

The ne_get_status function returns a pointer to the HTTP status object giving the result of a request. The object returned only becomes valid once the request has been successfully dispatched (the return value of ne_request_dispatch or ne_begin_request was zero). The object remains valid until the associated request object is destroyed.

SEE ALSO

ne_status, ne_request_create

EXAMPLE

Display the response status code of applying the HEAD method to some resource.

    ne_request *req = ne_request_create(sess, "HEAD", "/foo/bar");
    if (ne_request_dispatch(req))
       /* handle errors... */
    else
       printf("Response status code was %d\n", ne_get_status(req)->code);
    ne_request_destroy(req);

AUTHOR

Joe Orton <neon@lists.manyfish.co.uk>

    Author.

COPYRIGHT